function aminoAcids = rna2amino (nucleotides)
% aminoAcids = rna2amino (nucleotides)
% translates a sequence of nucleotides into a sequence 
% of amino acids

% step through the codons, translate each one to an amino acid, 
% and add each amino acid to the resulting string of amino acids
aminoAcids = '';
for index = 1:3:length(nucleotides)-2
    aminoAcids = [aminoAcids ' ' ...
                  translateCodon(nucleotides(index:index+2))];
end