function aminoAcid = translateCodon (codon)
% aminoAcid = translateCodon (codon)
% translates a single 3-character codon into an amino acid

% create a cell array of amino acids, named aminoNames
createAminoTable

% convert input codon string into a numerical representation 
% that allows the use of an index into the translation table 
% to find the right amino acid
n1 = find(codon(1)=='UCAG')-1;
n2 = find(codon(2)=='UCAG')-1;
n3 = find(codon(3)=='UCAG')-1;

% calculate index and determine corresponding amino acid
index = 1 + n3 + 4*n1 + 16*n2;
aminoAcid = aminoNames{index};
